These are chat archives for jruby-gradle/jruby-gradle-plugin

15th
Aug 2017
R. Tyler Croy
@rtyler
Aug 15 2017 15:31
@ysb33r whattaya want :D
turns out Gitter has gotten very not good at maintaining their IRC bridge since being acquired by GitLab :worried:
Schalk W. Cronjé
@ysb33r
Aug 15 2017 15:34
@rtyler thought we should have some catch-up at some stage, unrelated to JRuby-Gradle.
R. Tyler Croy
@rtyler
Aug 15 2017 15:34
ah, I thought you wanted to barter about Java 7 :smile:
Schalk W. Cronjé
@ysb33r
Aug 15 2017 15:35
no. I'm fine with dropping JDK7 support - I just think go the whole hog. Compile specifically for JDK8, bump the version signficantly and mention it in the docs.
R. Tyler Croy
@rtyler
Aug 15 2017 15:35
while waiting for other builds last night I started hacking on some out-standing
stuff*
I agree, I forgot about the sourceCompatibility flag
unfortunately I recently switched the jenkins.io repository away from JRuby/Gradle in favor of a much faster docker-based setup
which means I'm now no longer using this project :frowning:
Schalk W. Cronjé
@ysb33r
Aug 15 2017 15:37
Yes, things move on. I still use it to hack Ruby stuff into Gradle tasks. I.e. I did some stuff to run Travis CLI inside Gradle.
Blane Dabney
@raelik
Aug 15 2017 15:38
I definitely still use it :D
R. Tyler Croy
@rtyler
Aug 15 2017 15:38
yeyyyy
@raelik what Gradle version?
Blane Dabney
@raelik
Aug 15 2017 15:38
gooood question
I think 2.7 in most places
R. Tyler Croy
@rtyler
Aug 15 2017 15:39
ah
Blane Dabney
@raelik
Aug 15 2017 15:39
No Java 7 anywhere though, feel free to yank it :P
R. Tyler Croy
@rtyler
Aug 15 2017 15:39
Gradle 4 looks pretty
Schalk W. Cronjé
@ysb33r
Aug 15 2017 15:39
2.7 is old
Blane Dabney
@raelik
Aug 15 2017 15:40
indeed
these are just older deployment mostly
I think I've used it with Gradle 3.5 without issues
R. Tyler Croy
@rtyler
Aug 15 2017 15:40
@ysb33r the project itself uses 2.6
heh, let's not throw stones
Schalk W. Cronjé
@ysb33r
Aug 15 2017 15:41
2.8 should be minimum (and that is old as well). there are significant changes between those two versions, which means maintaining backwards compatibility becomes harder.
@rtyler if are to bump the build version, we'll need to invest the time to fix some other big things. I just don't have time. I have a lot of OSS stuff that I'm bumping to useful releasable versions at the moment.
R. Tyler Croy
@rtyler
Aug 15 2017 15:43
I don't know if you saw, I was at least trying to ressurect your original work to get us to Gradle 3.x
Schalk W. Cronjé
@ysb33r
Aug 15 2017 15:44
I did not really pay attention.
R. Tyler Croy
@rtyler
Aug 15 2017 15:45
#298
fwiw
still the same shit in Travis unfortunately
Schalk W. Cronjé
@ysb33r
Aug 15 2017 15:46
OMW I only noticed now that there's a bunch of my commits in there.
I don't like Travis anymore. I also kicked some JDK7 stuff out of Travis.
R. Tyler Croy
@rtyler
Aug 15 2017 15:47
@ysb33r have you worked with Jenkins Pipeline and Blue Ocean much?
Schalk W. Cronjé
@ysb33r
Aug 15 2017 15:47
I also run a number of Travis builds using sudo: true to invoke VMs instead of Docker, as the containers run out of memory
R. Tyler Croy
@rtyler
Aug 15 2017 15:48
heh
that sucks
Schalk W. Cronjé
@ysb33r
Aug 15 2017 15:48
@rtyler that is one thing I wanted to talk to you about, but not here
R. Tyler Croy
@rtyler
Aug 15 2017 15:49
where/when would you like to discuss
you're not coming to Jenkins World per chance in a couple weeks are you? :D
Schalk W. Cronjé
@ysb33r
Aug 15 2017 15:50
probably private gitter should suffice for now
EarthCitizen
@EarthCitizen
Aug 15 2017 19:26
I use this in as part of a Gradle 3.5 plugin that wraps and defines a DSL for Jekyll
R. Tyler Croy
@rtyler
Aug 15 2017 19:27
@EarthCitizen anything open source?
EarthCitizen
@EarthCitizen
Aug 15 2017 19:39
No, unfortunately not. It is a project for work. jruby-gradle is a critical part though
R. Tyler Croy
@rtyler
Aug 15 2017 19:39
cool, glad to hear it :)
EarthCitizen
@EarthCitizen
Aug 15 2017 19:41
I submitted a patch a while back that got merged into master. I have been eagerly waiting for the next release 😁
R. Tyler Croy
@rtyler
Aug 15 2017 19:41
which is literally running right now buckaroo
I hope you're using Java 8 though :-/
EarthCitizen
@EarthCitizen
Aug 15 2017 19:42
Yes ...we are Java 8 here
R. Tyler Croy
@rtyler
Aug 15 2017 19:42
thank g oodness
or else you'd have to have an earful from me about JDK7 being dead as a doornail :)
EarthCitizen
@EarthCitizen
Aug 15 2017 19:42
Haha
R. Tyler Croy
@rtyler
Aug 15 2017 19:42
when we cut off Java 7 support in Jenkins, some slackers came out of the woodwork
EarthCitizen
@EarthCitizen
Aug 15 2017 19:43
I was beginning to worry that the project was dead
R. Tyler Croy
@rtyler
Aug 15 2017 19:43
1.5.0 is out right now btw
not dead, but without new contributors, things like this tend to limp along
EarthCitizen
@EarthCitizen
Aug 15 2017 21:25
👍🏼👍🏼